#include <glib.h>
#include <stdlib.h>

#include "stub_gwebhistorylist.h"


static void stub_g_web_history_list_interface_init(GWebHistoryListIface* interface);
static void stub_g_web_history_list_class_init(StubGWebHistoryListClass* klass);
static void stub_g_web_history_list_init(StubGWebHistoryList* self);
static void stub_g_web_history_list_finalize(GObject* object);
static void stub_g_web_history_list_destroy(GWebHistoryList* self);

static void stub_g_web_history_list_delete_item(GWebHistoryList* self, gint pos);
static GObject* stub_g_web_history_list_get_items(GWebHistoryList* self);
static gint stub_g_web_history_list_get_items_count(GWebHistoryList* self);
static gchar* stub_g_web_history_list_get_item_title(GWebHistoryList* self, gint pos);
static gchar* stub_g_web_history_list_get_item_url(GWebHistoryList* self, gint pos);
static GTime stub_g_web_history_list_get_item_time (GWebHistoryList *self, gint pos);
static gchar* stub_g_web_history_list_get_item_thumbnail(GWebHistoryList* self, gint pos);


static GObjectClass* stub_g_web_history_list_parent_class = NULL;


GType stub_g_web_history_list_get_type(void)
{
	static GType stub_g_web_history_list_type = 0;

	if (!stub_g_web_history_list_type) {
		static const GTypeInfo stub_g_web_history_list_info =
		{
			sizeof (StubGWebHistoryListClass),
			/* base_init */ NULL,
			/* base_finalize */ NULL,
			/* class_init */ (GClassInitFunc) stub_g_web_history_list_class_init,
			/* class_finalize */ NULL,
			/* class_data */ NULL,
			sizeof(StubGWebHistoryList),
			/* n_preallocs */ 0,
			/* instance_init */ (GInstanceInitFunc) stub_g_web_history_list_init
		};

		static const GInterfaceInfo interface_info =
		{
			(GInterfaceInitFunc)stub_g_web_history_list_interface_init,
			/* interface_finalize */ NULL,
			/* interface_data */ NULL
		};

		stub_g_web_history_list_type = g_type_register_static(
				G_TYPE_OBJECT,
				"StubGWebHistoryList",
				&stub_g_web_history_list_info, 0);

		g_type_add_interface_static(
				stub_g_web_history_list_type,
				G_TYPE_WEB_HISTORY_LIST,
				&interface_info);
	}

	return stub_g_web_history_list_type;
}

static void stub_g_web_history_list_interface_init(GWebHistoryListIface* interface)
{
	interface->destroy =
		(void (*) (GWebHistoryList*)) stub_g_web_history_list_destroy;
	interface->delete_item =
		(void (*) (GWebHistoryList*, gint)) stub_g_web_history_list_delete_item;
	interface->get_items =
		(GObject* (*) (GWebHistoryList*)) stub_g_web_history_list_get_items;
	interface->get_items_count =
		(gint (*) (GWebHistoryList*)) stub_g_web_history_list_get_items_count;
	interface->get_item_title =
		(gchar* (*) (GWebHistoryList*, gint)) stub_g_web_history_list_get_item_title;
	interface->get_item_url =
		(gchar* (*) (GWebHistoryList*, gint)) stub_g_web_history_list_get_item_url;
	interface->get_item_time =
		(GTime (*) (GWebHistoryList*, gint)) stub_g_web_history_list_get_item_time;
	interface->get_item_thumbnail =
		(gchar* (*) (GWebHistoryList*, gint)) stub_g_web_history_list_get_item_thumbnail;
}

static void stub_g_web_history_list_class_init(StubGWebHistoryListClass* klass)
{
	GObjectClass* object;
	stub_g_web_history_list_parent_class = g_type_class_peek_parent(klass);
	object = G_OBJECT_CLASS(klass);
	object->finalize = stub_g_web_history_list_finalize;
}

static void stub_g_web_history_list_init(StubGWebHistoryList* self)
{}

static void stub_g_web_history_list_finalize(GObject* object)
{
	StubGWebHistoryList* self = STUB_G_WEB_HISTORY_LIST(object);
	stub_g_web_history_list_destroy(G_WEB_HISTORY_LIST(self));
}

GObject* stub_g_web_history_list_new()
{
	GObject* instance = g_object_new(stub_g_web_history_list_get_type(), NULL);
	return G_OBJECT(instance);
}





static void stub_g_web_history_list_destroy(GWebHistoryList* self)
{}

static void stub_g_web_history_list_delete_item(GWebHistoryList* self, gint pos)
{}

static GObject* stub_g_web_history_list_get_items(GWebHistoryList* self)
{
	return NULL;
}

static gint stub_g_web_history_list_get_items_count(GWebHistoryList* self)
{
	return 0;
}

static gchar* stub_g_web_history_list_get_item_title(GWebHistoryList* self, gint pos)
{
	return NULL;
}

static gchar* stub_g_web_history_list_get_item_url(GWebHistoryList* self, gint pos)
{
	return NULL;
}

static GTime stub_g_web_history_list_get_item_time(GWebHistoryList *self, gint pos)
{
	return 0;
}

static gchar* stub_g_web_history_list_get_item_thumbnail(GWebHistoryList* self, gint pos)
{
	return NULL;
}
