#include <glib.h>
#include <stdlib.h>

#include "stub_gwebpassman.h"
#include "gwebcommon.h"


static void stub_g_web_password_manager_interface_init(GWebPasswordManagerIface* interface);
static void stub_g_web_password_manager_class_init(StubGWebPasswordManagerClass* klass);
static void stub_g_web_password_manager_init(StubGWebPasswordManager* self);
static void stub_g_web_password_manager_finalize(GObject* object);
static void stub_g_web_password_manager_destroy(GWebPasswordManager* self);

static GWebStatus stub_g_web_password_manager_get_login_username(GWebPasswordManager* self, gchar** username);
static GWebStatus stub_g_web_password_manager_get_login_password(GWebPasswordManager* self, gchar** password);
static GObject* stub_g_web_password_manager_login_get_personal_data(GWebPasswordManager* self);


static GObjectClass* stub_g_web_password_manager_parent_class = NULL;


GType stub_g_web_password_manager_get_type(void)
{
	static GType stub_g_web_password_manager_type = 0;

	if (!stub_g_web_password_manager_type) {
		static const GTypeInfo stub_g_web_password_manager_info =
		{
			sizeof (StubGWebPasswordManagerClass),
			/* base_init */ NULL,
			/* base_finalize */ NULL,
			/* class_init */ (GClassInitFunc) stub_g_web_password_manager_class_init,
			/* class_finalize */ NULL,
			/* class_data */ NULL,
			sizeof(StubGWebPasswordManager),
			/* n_preallocs */ 0,
			/* instance_init */ (GInstanceInitFunc) stub_g_web_password_manager_init
		};

		static const GInterfaceInfo interface_info =
		{
			(GInterfaceInitFunc)stub_g_web_password_manager_interface_init,
			/* interface_finalize */ NULL,
			/* interface_data */ NULL
		};

		stub_g_web_password_manager_type = g_type_register_static(
				G_TYPE_OBJECT,
				"StubGWebPasswordManager",
				&stub_g_web_password_manager_info, 0);

		g_type_add_interface_static(
				stub_g_web_password_manager_type,
				G_TYPE_WEB_PASSWORD_MANAGER,
				&interface_info);
	}

	return stub_g_web_password_manager_type;
}

static void stub_g_web_password_manager_interface_init(GWebPasswordManagerIface* interface)
{
	interface->get_login_username =
		(GWebStatus (*) (GWebPasswordManager*, gchar**)) stub_g_web_password_manager_get_login_username;
	interface->get_login_password =
		(GWebStatus (*) (GWebPasswordManager*, gchar**)) stub_g_web_password_manager_get_login_password;
	interface->login_get_personal_data =
		(GObject* (*) (GWebPasswordManager*)) stub_g_web_password_manager_login_get_personal_data;
}

static void stub_g_web_password_manager_class_init(StubGWebPasswordManagerClass* klass)
{
	GObjectClass* object;
	stub_g_web_password_manager_parent_class = g_type_class_peek_parent(klass);
	object = G_OBJECT_CLASS(klass);
	object->finalize = stub_g_web_password_manager_finalize;
}

static void stub_g_web_password_manager_init(StubGWebPasswordManager* self)
{}

static void stub_g_web_password_manager_finalize(GObject* object)
{
	StubGWebPasswordManager* self = STUB_G_WEB_PASSWORD_MANAGER(object);
	stub_g_web_password_manager_destroy(G_WEB_PASSWORD_MANAGER(self));
}

GObject* stub_g_web_password_manager_new()
{
	GObject* instance = g_object_new(stub_g_web_password_manager_get_type(), NULL);
	return G_OBJECT(instance);
}

static void stub_g_web_password_manager_destroy(GWebPasswordManager* self)
{}





static GWebStatus stub_g_web_password_manager_get_login_username(
		GWebPasswordManager* self, gchar** username)
{
	return G_WEB_STATUS_OK;
}

static GWebStatus stub_g_web_password_manager_get_login_password(
		GWebPasswordManager* self, gchar** password)
{
	return G_WEB_STATUS_OK;
}

static GObject* stub_g_web_password_manager_login_get_personal_data(GWebPasswordManager* self)
{
	return NULL;
}
