#include <glib.h>
#include <stdlib.h>

#include "stub_gwebpluginlist.h"

static void stub_g_web_plugin_list_interface_init(GWebPluginListIface* interface);
static void stub_g_web_plugin_list_class_init(StubGWebPluginListClass* klass);
static void stub_g_web_plugin_list_init(StubGWebPluginList* self);
static void stub_g_web_plugin_list_finalize(GObject* object);
static void stub_g_web_plugin_list_destroy(GWebPluginList* self);

static GObject* stub_g_web_plugin_list_get_items(GWebPluginList *self);
static gint stub_g_web_plugin_list_get_items_count(GWebPluginList *self);
static gchar* stub_g_web_plugin_list_get_item_title(GWebPluginList *self, gint pos);
static gchar* stub_g_web_plugin_list_get_item_creator(GWebPluginList *self, gint pos);
static gchar* stub_g_web_plugin_list_get_item_path(GWebPluginList *self, gint pos);
static gchar* stub_g_web_plugin_list_get_item_type(GWebPluginList *self, gint pos);
static guint stub_g_web_plugin_list_get_item_ctype(GWebPluginList *self, gint pos);
static guint stub_g_web_plugin_list_get_item_state(GWebPluginList *self, gint pos);

static GObjectClass* stub_g_web_plugin_list_parent_class = NULL;


GType stub_g_web_plugin_list_get_type(void)
{
	static GType stub_g_web_plugin_list_type = 0;

	if (!stub_g_web_plugin_list_type) {
		static const GTypeInfo stub_g_web_plugin_list_info =
		{
			sizeof (StubGWebPluginListClass),
			/* base_init */ NULL,
			/* base_finalize */ NULL,
			/* class_init */ (GClassInitFunc) stub_g_web_plugin_list_class_init,
			/* class_finalize */ NULL,
			/* class_data */ NULL,
			sizeof(StubGWebPluginList),
			/* n_preallocs */ 0,
			/* instance_init */ (GInstanceInitFunc) stub_g_web_plugin_list_init
		};

		static const GInterfaceInfo interface_info =
		{
			(GInterfaceInitFunc)stub_g_web_plugin_list_interface_init,
			/* interface_finalize */ NULL,
			/* interface_data */ NULL
		};

		stub_g_web_plugin_list_type = g_type_register_static(
				G_TYPE_OBJECT,
				"StubGWebPluginList",
				&stub_g_web_plugin_list_info, 0);

		g_type_add_interface_static(
				stub_g_web_plugin_list_type,
				G_TYPE_WEB_PLUGIN_LIST,
				&interface_info);
	}

	return stub_g_web_plugin_list_type;
}

static void stub_g_web_plugin_list_interface_init(GWebPluginListIface* iface)
{
	iface->destroy = (void (*) (GWebPluginList*))
		stub_g_web_plugin_list_destroy;

	iface->get_items = (GObject* (*) (GWebPluginList*))
		stub_g_web_plugin_list_get_items;

	iface->get_items_count = (gint (*) (GWebPluginList*))
		stub_g_web_plugin_list_get_items_count;

	iface->get_item_title = (gchar* (*) (GWebPluginList*, gint))
		stub_g_web_plugin_list_get_item_title;

	iface->get_item_creator = (gchar* (*) (GWebPluginList*, gint))
		stub_g_web_plugin_list_get_item_creator;

	iface->get_item_path = (gchar* (*) (GWebPluginList*, gint))
		stub_g_web_plugin_list_get_item_path;

	iface->get_item_type = (gchar* (*) (GWebPluginList*, gint))
		stub_g_web_plugin_list_get_item_type;

	iface->get_item_state = (guint (*) (GWebPluginList*, gint))
		stub_g_web_plugin_list_get_item_state;

	iface->get_item_ctype = (guint (*) (GWebPluginList*, gint))
		stub_g_web_plugin_list_get_item_ctype;
}

static void stub_g_web_plugin_list_class_init(StubGWebPluginListClass* klass)
{
	GObjectClass* object;
	stub_g_web_plugin_list_parent_class = g_type_class_peek_parent(klass);
	object = G_OBJECT_CLASS(klass);
	object->finalize = stub_g_web_plugin_list_finalize;
}

static void stub_g_web_plugin_list_init(StubGWebPluginList* self)
{}

static void stub_g_web_plugin_list_finalize(GObject* object)
{
	StubGWebPluginList* self = STUB_G_WEB_PLUGIN_LIST(object);
	stub_g_web_plugin_list_destroy(G_WEB_PLUGIN_LIST(self));
}

GObject* stub_g_web_plugin_list_new()
{
	GObject* instance = g_object_new(stub_g_web_plugin_list_get_type(), NULL);
	return G_OBJECT(instance);
}

static void stub_g_web_plugin_list_destroy(GWebPluginList* self)
{}

static GObject* stub_g_web_plugin_list_get_items(GWebPluginList *self)
{
	return NULL;
}

static gint stub_g_web_plugin_list_get_items_count(GWebPluginList *self)
{
	return 0;
}

static gchar* stub_g_web_plugin_list_get_item_title(GWebPluginList *self, gint pos)
{
	return NULL;
}

static gchar* stub_g_web_plugin_list_get_item_creator(GWebPluginList *self, gint pos)
{
	return NULL;
}

static gchar* stub_g_web_plugin_list_get_item_path(GWebPluginList *self, gint pos)
{
	return NULL;
}

static gchar* stub_g_web_plugin_list_get_item_type(GWebPluginList *self, gint pos)
{
	return NULL;
}

static guint stub_g_web_plugin_list_get_item_ctype(GWebPluginList *self, gint pos)
{
	return 0;
}

static guint stub_g_web_plugin_list_get_item_state(GWebPluginList *self, gint pos)
{
	return 0;
}
