#include <glib.h>
#include <stdlib.h>

#include "stub_gwebtransferitem.h"
#include "gwebcommon.h"


static void stub_g_web_transfer_item_interface_init(GWebTransferItemIface* interface);
static void stub_g_web_transfer_item_class_init(StubGWebTransferItemClass* klass);
static void stub_g_web_transfer_item_init(StubGWebTransferItem* self);
static void stub_g_web_transfer_item_finalize(GObject* object);
static void stub_g_web_transfer_item_destroy(GWebTransferItem* self);

static void stub_g_web_transfer_item_start(GWebTransferItem* self);
static void stub_g_web_transfer_item_stop(GWebTransferItem* self);
static GWebStatus stub_g_web_transfer_item_continue(GWebTransferItem* self);
static void stub_g_web_transfer_item_cancel(GWebTransferItem* self);
static void stub_g_web_transfer_item_reload(GWebTransferItem* self);
static GObject* stub_g_web_transfer_item_get_web_item(GWebTransferItem* self);
static gchar* stub_g_web_transfer_item_get_url(GWebTransferItem* self);
static gchar* stub_g_web_transfer_item_get_filename(GWebTransferItem* self);
static glong stub_g_web_transfer_item_get_total_size(GWebTransferItem* self);
static glong stub_g_web_transfer_item_get_progress(GWebTransferItem* self);


static GObjectClass* stub_g_web_transfer_item_parent_class = NULL;


GType stub_g_web_transfer_item_get_type(void)
{
	static GType stub_g_web_transfer_item_type = 0;

	if (!stub_g_web_transfer_item_type) {
		static const GTypeInfo stub_g_web_transfer_item_info =
		{
			sizeof (StubGWebTransferItemClass),
			/* base_init */ NULL,
			/* base_finalize */ NULL,
			/* class_init */ (GClassInitFunc) stub_g_web_transfer_item_class_init,
			/* class_finalize */ NULL,
			/* class_data */ NULL,
			sizeof(StubGWebTransferItem),
			/* n_preallocs */ 0,
			/* instance_init */ (GInstanceInitFunc) stub_g_web_transfer_item_init
		};

		static const GInterfaceInfo interface_info =
		{
			(GInterfaceInitFunc)stub_g_web_transfer_item_interface_init,
			/* interface_finalize */ NULL,
			/* interface_data */ NULL
		};

		stub_g_web_transfer_item_type = g_type_register_static(
				G_TYPE_OBJECT,
				"StubGWebTransferItem",
				&stub_g_web_transfer_item_info, 0);

		g_type_add_interface_static(
				stub_g_web_transfer_item_type,
				G_TYPE_WEB_TRANSFER_ITEM,
				&interface_info);
	}

	return stub_g_web_transfer_item_type;
}

static void stub_g_web_transfer_item_interface_init(GWebTransferItemIface* iface)
{
	iface->destroy = (void (*) (GWebTransferItem*)) stub_g_web_transfer_item_destroy;
	iface->start = (void (*) (GWebTransferItem*)) stub_g_web_transfer_item_start;
	iface->stop = (void (*) (GWebTransferItem*)) stub_g_web_transfer_item_stop;
	iface->do_continue = (GWebStatus (*) (GWebTransferItem*)) stub_g_web_transfer_item_continue;
	iface->cancel = (void (*) (GWebTransferItem*)) stub_g_web_transfer_item_cancel;
	iface->reload = (void (*) (GWebTransferItem*)) stub_g_web_transfer_item_reload;
	iface->get_web_item = (GObject* (*) (GWebTransferItem*)) stub_g_web_transfer_item_get_web_item;
	iface->get_url = (gchar* (*) (GWebTransferItem*)) stub_g_web_transfer_item_get_url;
	iface->get_filename = (gchar* (*) (GWebTransferItem*)) stub_g_web_transfer_item_get_filename;
	iface->get_total_size = (glong (*) (GWebTransferItem*)) stub_g_web_transfer_item_get_total_size;
	iface->get_progress = (glong (*) (GWebTransferItem*)) stub_g_web_transfer_item_get_progress;
}

static void stub_g_web_transfer_item_class_init(StubGWebTransferItemClass* klass)
{
	GObjectClass* object;
	stub_g_web_transfer_item_parent_class = g_type_class_peek_parent(klass);
	object = G_OBJECT_CLASS(klass);
	object->finalize = stub_g_web_transfer_item_finalize;
}

static void stub_g_web_transfer_item_init(StubGWebTransferItem* self)
{}

static void stub_g_web_transfer_item_finalize(GObject* object)
{
	StubGWebTransferItem* self = STUB_G_WEB_TRANSFER_ITEM(object);
	stub_g_web_transfer_item_destroy(G_WEB_TRANSFER_ITEM(self));
}

GObject* stub_g_web_transfer_item_new()
{
	GObject* instance = g_object_new(stub_g_web_transfer_item_get_type(), NULL);
	return G_OBJECT(instance);
}

static void stub_g_web_transfer_item_destroy(GWebTransferItem* self)
{}





static void stub_g_web_transfer_item_start(GWebTransferItem* self)
{}

static void stub_g_web_transfer_item_stop(GWebTransferItem* self)
{}

static GWebStatus stub_g_web_transfer_item_continue(GWebTransferItem* self)
{
	return G_WEB_STATUS_OK;
}

static void stub_g_web_transfer_item_cancel(GWebTransferItem* self)
{}

static void stub_g_web_transfer_item_reload(GWebTransferItem* self)
{}

static GObject* stub_g_web_transfer_item_get_web_item(GWebTransferItem* self)
{
	return NULL;
}

static gchar* stub_g_web_transfer_item_get_url(GWebTransferItem* self)
{
	return NULL;
}

static gchar* stub_g_web_transfer_item_get_filename(GWebTransferItem* self)
{
	return NULL;
}

static glong stub_g_web_transfer_item_get_total_size(GWebTransferItem* self)
{
	return 0;
}

static glong stub_g_web_transfer_item_get_progress(GWebTransferItem* self)
{
	return 0;
}
