#include <glib.h>
#include <stdlib.h>

#include "stub_gwebtransferitemlist.h"
#include "gwebcommon.h"


static void stub_g_web_transfer_item_list_interface_init(GWebTransferItemListIface* interface);
static void stub_g_web_transfer_item_list_class_init(StubGWebTransferItemListClass* klass);
static void stub_g_web_transfer_item_list_init(StubGWebTransferItemList* self);
static void stub_g_web_transfer_item_list_finalize(GObject* object);
static void stub_g_web_transfer_item_list_destroy(GWebTransferItemList* self);

static GObject** stub_g_web_transfer_item_list_get_items(GWebTransferItemList* self);
static gint stub_g_web_transfer_item_list_get_items_count(GWebTransferItemList* self);
static GWebTransferItem* stub_g_web_transfer_item_list_get_item(GWebTransferItemList* self, int pos);


static GObjectClass* stub_g_web_transfer_item_list_parent_class = NULL;


GType stub_g_web_transfer_item_list_get_type(void)
{
	static GType stub_g_web_transfer_item_list_type = 0;

	if (!stub_g_web_transfer_item_list_type) {
		static const GTypeInfo stub_g_web_transfer_item_list_info =
		{
			sizeof (StubGWebTransferItemListClass),
			/* base_init */ NULL,
			/* base_finalize */ NULL,
			/* class_init */ (GClassInitFunc) stub_g_web_transfer_item_list_class_init,
			/* class_finalize */ NULL,
			/* class_data */ NULL,
			sizeof(StubGWebTransferItemList),
			/* n_preallocs */ 0,
			/* instance_init */ (GInstanceInitFunc) stub_g_web_transfer_item_list_init
		};

		static const GInterfaceInfo interface_info =
		{
			(GInterfaceInitFunc)stub_g_web_transfer_item_list_interface_init,
			/* interface_finalize */ NULL,
			/* interface_data */ NULL
		};

		stub_g_web_transfer_item_list_type = g_type_register_static(
				G_TYPE_OBJECT,
				"StubGWebTransferItemList",
				&stub_g_web_transfer_item_list_info, 0);

		g_type_add_interface_static(
				stub_g_web_transfer_item_list_type,
				G_TYPE_WEB_TRANSFER_ITEM_LIST,
				&interface_info);
	}

	return stub_g_web_transfer_item_list_type;
}

static void stub_g_web_transfer_item_list_interface_init(GWebTransferItemListIface* iface)
{
	iface->destroy = (void (*) (GWebTransferItemList*))
		stub_g_web_transfer_item_list_destroy;
	iface->get_items = (GObject** (*) (GWebTransferItemList*))
		stub_g_web_transfer_item_list_get_items;
	iface->get_items_count = (gint (*) (GWebTransferItemList*))
		stub_g_web_transfer_item_list_get_items_count;
	iface->get_item = (GWebTransferItem* (*) (GWebTransferItemList*, int))
		stub_g_web_transfer_item_list_get_item;
}

static void stub_g_web_transfer_item_list_class_init(StubGWebTransferItemListClass* klass)
{
	GObjectClass* object;
	stub_g_web_transfer_item_list_parent_class = g_type_class_peek_parent(klass);
	object = G_OBJECT_CLASS(klass);
	object->finalize = stub_g_web_transfer_item_list_finalize;
}

static void stub_g_web_transfer_item_list_init(StubGWebTransferItemList* self)
{}

static void stub_g_web_transfer_item_list_finalize(GObject* object)
{
	StubGWebTransferItemList* self = STUB_G_WEB_TRANSFER_ITEM_LIST(object);
	stub_g_web_transfer_item_list_destroy(G_WEB_TRANSFER_ITEM_LIST(self));
}

GObject* stub_g_web_transfer_item_list_new()
{
	GObject* instance = g_object_new(stub_g_web_transfer_item_list_get_type(), NULL);
	return G_OBJECT(instance);
}

static void stub_g_web_transfer_item_list_destroy(GWebTransferItemList* self)
{}





static GObject** stub_g_web_transfer_item_list_get_items(GWebTransferItemList* self)
{
	return NULL;
}

static gint stub_g_web_transfer_item_list_get_items_count(GWebTransferItemList* self)
{
	return 0;
}

static GWebTransferItem* stub_g_web_transfer_item_list_get_item(GWebTransferItemList* self, int pos)
{
	return NULL;
}
